#include <cstdio>
#include <iostream>
#include <string>

using namespace std;

int main() {
    freopen("logins.in", "r", stdin);
    freopen("logins.out", "w", stdout);

    string s;
    cin >> s;
    bool ok = s.length() > 2 && s[0] == 'i' && s[1] == 'o';
    for (int i = 2; i < (int)s.length(); i++) ok &= s[i] >= '0' && s[i] <= '9';
    cout << (ok ? "Correct" : "Incorrect") << endl;

    return 0;
}